StoreDescription (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StoreDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StoreDescription

    java.lang.Object
      org.apache.catalina.storeconfig.StoreDescription

public class StoreDescription
extends java.lang.Object

Bean of a StoreDescription

Author:
  Peter Rossbach

        <Description
        tag="Context"
        standard="true"
        default="true"
        externalAllowed="true"
        storeSeparate="true"
        backup="true"
        childs="true"
        tagClass="org.apache.catalina.core.StandardContext"
        storeFactoryClass="org.apache.catalina.storeconfig.StandardContextSF"
        storeAppenderClass="org.apache.catalina.storeconfig.StoreContextAppender">
           <TransientAttribute>available</TransientAttribute>
           <TransientAttribute>configFile</TransientAttribute>
           <TransientAttribute>configured</TransientAttribute>
           <TransientAttribute>displayName</TransientAttribute>
           <TransientAttribute>distributable</TransientAttribute>
           <TransientAttribute>domain</TransientAttribute>
           <TransientAttribute>engineName</TransientAttribute>
           <TransientAttribute>name</TransientAttribute>
           <TransientAttribute>publicId</TransientAttribute>
           <TransientAttribute>replaceWelcomeFiles</TransientAttribute>
           <TransientAttribute>saveConfig</TransientAttribute>
           <TransientAttribute>sessionTimeout</TransientAttribute>
           <TransientAttribute>startupTime</TransientAttribute>
           <TransientAttribute>tldScanTime</TransientAttribute>
        </Description>

Constructor Summary
`StoreDescription()`

Method Summary
`void` | `addTransientAttribute(java.lang.String attribute)`
`void` | `addTransientChild(java.lang.String classname)`
`java.lang.String` | `getId()` Return the real id or TagClass
`IStoreFactory` | `getStoreFactory()`
`java.lang.String` | `getStoreFactoryClass()`
`java.lang.String` | `getStoreWriterClass()`
`java.lang.String` | `getTag()`
`java.lang.String` | `getTagClass()`
`java.util.List` | `getTransientAttributes()`
`java.util.List` | `getTransientChilds()`
`boolean` | `isAttributes()`
`boolean` | `isBackup()`
`boolean` | `isChilds()`
`boolean` | `isDefault()`
`boolean` | `isExternalAllowed()`
`boolean` | `isStandard()`
`boolean` | `isStoreSeparate()`
`boolean` | `isTransientAttribute(java.lang.String attribute)` is attribute transient, please don't save this.
`boolean` | `isTransientChild(java.lang.String classname)` is child transient, please don't save this.
`void` | `removeTransientAttribute(java.lang.String attribute)`
`void` | `removeTransientChild(java.lang.String classname)`
`void` | `setAttributes(boolean attributes)`
`void` | `setBackup(boolean backup)`
`void` | `setChilds(boolean childs)`
`void` | `setDefault(boolean aDefault)`
`void` | `setExternalAllowed(boolean external)`
`void` | `setId(java.lang.String id)`
`void` | `setStandard(boolean standard)`
`void` | `setStoreFactory(IStoreFactory storeFactory)`
`void` | `setStoreFactoryClass(java.lang.String storeFactoryClass)`
`void` | `setStoreSeparate(boolean storeSeparate)`
`void` | `setStoreWriterClass(java.lang.String storeWriterClass)`
`void` | `setTag(java.lang.String tag)`
`void` | `setTagClass(java.lang.String tagClass)`
`void` | `setTransientAttributes(java.util.List transientAttributes)`
`void` | `setTransientChilds(java.util.List transientChilds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreDescription

    public StoreDescription()

Method Detail

### isExternalAllowed

    public boolean isExternalAllowed()

  Returns:
    Returns the external.

### setExternalAllowed

    public void setExternalAllowed(boolean external)

  Parameters:
    `external` - The external to set.

### isStandard

    public boolean isStandard()

  Returns:
    Returns the standard.

### setStandard

    public void setStandard(boolean standard)

  Parameters:
    `standard` - The standard to set.

### isBackup

    public boolean isBackup()

  Returns:
    Returns the backup.

### setBackup

    public void setBackup(boolean backup)

  Parameters:
    `backup` - The backup to set.

### isDefault

    public boolean isDefault()

  Returns:
    Returns the myDefault.

### setDefault

    public void setDefault(boolean aDefault)

  Parameters:
    `aDefault` - The myDefault to set.

### getStoreFactoryClass

    public java.lang.String getStoreFactoryClass()

  Returns:
    Returns the storeFactory.

### setStoreFactoryClass

    public void setStoreFactoryClass(java.lang.String storeFactoryClass)

  Parameters:
    `storeFactoryClass` - The storeFactory to set.

### getStoreFactory

    public IStoreFactory getStoreFactory()

  Returns:
    Returns the storeFactory.

### setStoreFactory

    public void setStoreFactory(IStoreFactory storeFactory)

  Parameters:
    `storeFactory` - The storeFactory to set.

### getStoreWriterClass

    public java.lang.String getStoreWriterClass()

  Returns:
    Returns the storeWriterClass.

### setStoreWriterClass

    public void setStoreWriterClass(java.lang.String storeWriterClass)

  Parameters:
    `storeWriterClass` - The storeWriterClass to set.

### getTag

    public java.lang.String getTag()

  Returns:
    Returns the tagClass.

### setTag

    public void setTag(java.lang.String tag)

  Parameters:
    `tag` - The tag to set.

### getTagClass

    public java.lang.String getTagClass()

  Returns:
    Returns the tagClass.

### setTagClass

    public void setTagClass(java.lang.String tagClass)

  Parameters:
    `tagClass` - The tagClass to set.

### getTransientAttributes

    public java.util.List getTransientAttributes()

  Returns:
    Returns the transientAttributes.

### setTransientAttributes

    public void setTransientAttributes(java.util.List transientAttributes)

  Parameters:
    `transientAttributes` - The transientAttributes to set.

### addTransientAttribute

    public void addTransientAttribute(java.lang.String attribute)

### removeTransientAttribute

    public void removeTransientAttribute(java.lang.String attribute)

### getTransientChilds

    public java.util.List getTransientChilds()

  Returns:
    Returns the transientChilds.

### setTransientChilds

    public void setTransientChilds(java.util.List transientChilds)

  Parameters:
    `transientChilds` - The transientChilds to set.

### addTransientChild

    public void addTransientChild(java.lang.String classname)

### removeTransientChild

    public void removeTransientChild(java.lang.String classname)

### isTransientChild

    public boolean isTransientChild(java.lang.String classname)

  is child transient, please don't save this.

  Parameters:
    `classname` -
  Returns:
    is classname attribute?

### isTransientAttribute

    public boolean isTransientAttribute(java.lang.String attribute)

  is attribute transient, please don't save this.

  Parameters:
    `attribute` -
  Returns:
    is transient attribute?

### getId

    public java.lang.String getId()

  Return the real id or TagClass

  Returns:
    Returns the id.

### setId

    public void setId(java.lang.String id)

  Parameters:
    `id` - The id to set.

### isAttributes

    public boolean isAttributes()

  Returns:
    Returns the attributes.

### setAttributes

    public void setAttributes(boolean attributes)

  Parameters:
    `attributes` - The attributes to set.

### isStoreSeparate

    public boolean isStoreSeparate()

  Returns:
    True if it's a separate store

### setStoreSeparate

    public void setStoreSeparate(boolean storeSeparate)

### isChilds

    public boolean isChilds()

  Returns:
    Returns the childs.

### setChilds

    public void setChilds(boolean childs)

  Parameters:
    `childs` - The childs to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.